<?php
	class TipoDocController extends TipoDocModel {
		private $codigo;
		private $nome;
		private $codDoc;
		private $descr;
		private $tipoDoc;
		private $natureza;
		private $operacaoStock;
		private $contaCorrente;
		private $tipoEntidade;
		private $operacaoCaixa;

		public function __construct($codDoc, $descr, $tipoDoc, $natureza, $operacaoStock, $contaCorrente, $tipoEntidade, $operacaoCaixa){
            $this->codDoc = $codDoc;
            $this->descr = $descr;
            $this->tipoDoc = $tipoDoc;
            $this->natureza = $natureza;
            $this->operacaoStock = $operacaoStock;
            $this->contaCorrente = $contaCorrente;
            $this->tipoEntidade = $tipoEntidade;
            $this->operacaoCaixa = $operacaoCaixa;
		}

		public function createTipoDoc(){
			$result = $this->insertTipoDoc($this->codDoc, $this->descr, $this->tipoDoc, $this->natureza, $this->operacaoStock, $this->contaCorrente, $this->tipoEntidade, $this->operacaoCaixa);
			return $result;
		}

		public function updateTipoDoc($idTipoDoc){
			$result = $this->editTipoDoc($idTipoDoc, $this->codigo, $this->nome);
			return $result;
		}
	}